0

I'm trying to upgrade ubuntu 18 to 20 LTS. sorry for being such a noob. I'm following this guide: [https://askubuntu.com/questions/1231570/cant-upgrade-ubuntu-18-04-to-20-04-because-of-please-install-all-available-upd][1] but I get the error that i need to update some stuff first. the terminal output is below.

I get that " 3 packages can be upgraded". how can I upgrade them. If I run "sudo apt dist-upgrade" I get :

" Reading package lists... Done Building dependency tree
Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. "

after when running: "sudo do-release-upgrade" Checking for a new Ubuntu release Please install all available updates for your release before upgrading. what is going on? can I upgrade the 3 packages ?

here is the whole terminal output :

pernille@pernille-ThinkPad-T60:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 18.04.5 LTS
Release:    18.04
Codename:   bionic
pernille@pernille-ThinkPad-T60:~$ ^C
pernille@pernille-ThinkPad-T60:~$ sudo apt install update-manager-core
[sudo] password for pernille: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
update-manager-core is already the newest version (1:18.04.11.13).
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
pernille@pernille-ThinkPad-T60:~$ sudo do-release-upgrade
Checking for a new Ubuntu release
Please install all available updates for your release before upgrading.
pernille@pernille-ThinkPad-T60:~$ sudo apt list --upgradable
Listing... Done
r-cran-boot/bionic,bionic 1.3-20-1.1 all [upgradable from: 1.3-20-1xenial0]
r-cran-codetools/bionic,bionic 0.2-15-1.1 all [upgradable from: 0.2-15-1cran1xenial0]
r-cran-spatial/bionic 7.3-11-2build1 amd64 [upgradable from: 7.3-11-1xenial0]
pernille@pernille-ThinkPad-T60:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pernille@pernille-ThinkPad-T60:~$ sudo apt --purge autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
pernille@pernille-ThinkPad-T60:~$ sudo apt install update-manager-core
Reading package lists... Done
Building dependency tree       
Reading state information... Done
update-manager-core is already the newest version (1:18.04.11.13).
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
pernille@pernille-ThinkPad-T60:~$ 
pernille@pernille-ThinkPad-T60:~$ sudo do-release-upgrade
Checking for a new Ubuntu release
Please install all available updates for your release before upgrading.
pernille@pernille-ThinkPad-T60:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pernille@pernille-ThinkPad-T60:~$ sudo do-release-upgrade
Checking for a new Ubuntu release
Please install all available updates for your release before upgrading.
pernille@pernille-ThinkPad-T60:~$ ^C
pernille@pernille-ThinkPad-T60:~$ sudo apt upgrade
[sudo] password for pernille: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pernille@pernille-ThinkPad-T60:~$ sudo do-release-upgrade
Checking for a new Ubuntu release
Please install all available updates for your release before upgrading.
pernille@pernille-ThinkPad-T60:~$ sudo apt dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pernille@pernille-ThinkPad-T60:~$ sudo do-release-upgrade -d -f DistUpgradeViewGtk3
Checking for a new Ubuntu release
Please install all available updates for your release before upgrading.
pernille@pernille-ThinkPad-T60:~$ sudo apt update
Hit:1 http://dk.archive.ubuntu.com/ubuntu bionic InRelease
Get:2 http://dk.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]   
Get:3 http://dk.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB] 
Get:4 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]    
Get:5 https://esm.ubuntu.com/infra/ubuntu bionic-infra-security InRelease [7,458 B]
Get:6 http://dk.archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [2,100 kB]
Get:7 https://esm.ubuntu.com/infra/ubuntu bionic-infra-updates InRelease [7,457 B]
Get:8 http://security.ubuntu.com/ubuntu bionic-security/main amd64 DEP-11 Metadata [48.6 kB]
Get:9 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 DEP-11 Metadata [60.4 kB]
Get:10 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 DEP-11 Metadata [2,464 B]
Get:11 http://dk.archive.ubuntu.com/ubuntu bionic-updates/main i386 Packages [1,298 kB]
Get:12 http://dk.archive.ubuntu.com/ubuntu bionic-updates/main amd64 DEP-11 Metadata [294 kB]
Get:13 http://dk.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [1,736 kB]
Get:14 http://dk.archive.ubuntu.com/ubuntu bionic-updates/universe i386 Packages [1,567 kB]
Get:15 http://dk.archive.ubuntu.com/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [290 kB]
Get:16 http://dk.archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2,464 B]
Get:17 http://dk.archive.ubuntu.com/ubuntu bionic-backports/universe amd64 DEP-11 Metadata [9,288 B]
Fetched 7,675 kB in 4s (1,953 kB/s)                                   
Reading package lists... Done
Building dependency tree       
Reading state information... Done
3 packages can be upgraded. Run 'apt list --upgradable' to see them.
pernille@pernille-ThinkPad-T60:~$ apt list --upgradable
Listing... Done
r-cran-boot/bionic,bionic 1.3-20-1.1 all [upgradable from: 1.3-20-1xenial0]
r-cran-codetools/bionic,bionic 0.2-15-1.1 all [upgradable from: 0.2-15-1cran1xenial0]
r-cran-spatial/bionic 7.3-11-2build1 amd64 [upgradable from: 7.3-11-1xenial0]
pernille@pernille-ThinkPad-T60:~$ 
pernille@pernille-ThinkPad-T60:~$ sudo apt dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pernille@pernille-ThinkPad-T60:~$ 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pernille@pernille-ThinkPad-T60:~$ sudo do-release-upgrade
Checking for a new Ubuntu release
Please install all available updates for your release before upgrading.
3
  • Did you update your package manager's cache? sudo apt-get update?
    – Whois_me
    Jun 21 '21 at 18:34
  • It's right there in your output: You have wrong-version r-cran packages (clearly labelled Xenial [=16.04]) on a Bionic [=18.04] system. Uninstall those wrong-version r-cran packages. Reinstall r-cran after you have successfully upgraded to 20.04...but this time use properly compatible packages from the Ubuntu repositories.
    – user535733
    Jun 21 '21 at 18:44
  • thanks I uninstalled R and ran : apt-get update apt get upgrade sudo do-release-upgrade -d It's installing :) Jun 22 '21 at 8:01
0

As pointed out by user535733 I had a problem with the 3 packages from a previous R installation. After unInstalling R It worked.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.